.paisabase-modalpop {
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .5);
    display: none
}

.paisabase-modalpop.show {
    display: block
}

.paisabase-modalpop__content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 10px;
    background: #fff;
    box-shadow: 0 -10px 15px -3px rgba(0, 0, 0, .1), 0 4px 6px -4px rgba(0, 0, 0, .1);
    width: 360px;
    margin: auto;
    padding: 25px
}

@media only screen and (max-width:767px) {
    .paisabase-modalpop__content {
        top: auto;
        bottom: 0;
        transform: translate(-50%, 0);
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
        width: 100%;
        padding: 20px
    }
}

.paisabase-modalpop__content.otp-wrapper {
    display: none
}

.paisabase-modalpop__content .modalpop--close {
    position: absolute;
    cursor: pointer;
    right: 10px;
    top: 10px;
    width: 20px;
    height: 20px;
}

.paisabase-modalpop__content .modalpop--close:before {
    content: "";
    display: block;
    position: absolute;
    width: 16px;
    height: 2px;
    background: #000;
    transform: rotate(45deg);
    top: 10px;
    left: 2px;
}

.paisabase-modalpop__content .modalpop--close:after {
    content: "";
    display: block;
    position: absolute;
    width: 16px;
    height: 2px;
    background: #000;
    top: 10px;
    left: 2px;
    transform: rotate(-45deg);
}

.paisabase-modalpop__content .modalpop--head {
    font-family: Supreme-Bold, sans-serif;
    font-weight: 700;
    font-size: 18px;
    line-height: 18px;
    color: #0a0a0a;
    letter-spacing: -.44px;
    margin-bottom: 8px
}

.paisabase-modalpop__content .modalpop--subhead {
    font-family: Supreme-Regular, sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #717182;
    letter-spacing: -.15px;
    margin-bottom: 20px
}

.paisabase-modalpop__content .modalpop--subhead .odabase-edit {
    display: block;
    color: #1570ef
}

.paisabase-modalpop__content .modalpop--subhead .odabase-edit .edit-icon {
    display: inline-block;
    width: 24px;
    height: 24px;
    background: url(https://storage.googleapis.com/5paisa-prod-storage/pages/home-page/edit-icon.svg) no-repeat;
    position: relative;
    top: 6px;
    cursor: pointer;
    zoom: .9;
    margin-left: 7px
}

.paisabase-modalpop__content .modalpop--form {
    position: relative
}

.paisabase-modalpop__content .modalpop--form__input span {
    position: absolute;
    left: 8px;
    top: 8px;
    font-family: Supreme-Regular, sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px
}

.paisabase-modalpop__content .modalpop--form__input span:after {
    content: "";
    position: absolute;
    right: -7px;
    top: 0;
    width: 1px;
    height: 20px;
    background-color: #e6e9ed
}

.paisabase-modalpop__content .modalpop--form__input input {
    border-radius: 8px;
    border: 1px solid transparent;
    background: #f3f3f5;
    height: 36px;
    max-width: 100%;
    width: 100%;
    padding: 8px 6px;
    padding-left: 42px;
    font-family: Supreme-Regular, sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #000;
    letter-spacing: 2.8px
}

.paisabase-modalpop__content .modalpop--form__input input:focus {
    border-radius: 8px;
    border: .5px solid #00a1ff;
    background: #fff
}

.paisabase-modalpop__content .modalpop--form__input input::placeholder {
    color: #a4acba;
    letter-spacing: 0
}

.paisabase-modalpop__content .modalpop--form .otp-inputs {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 18px
}

@media only screen and (max-width:767px) {
    .paisabase-modalpop__content .modalpop--form .otp-inputs {
        gap: 9px
    }
}

.paisabase-modalpop__content .modalpop--form .otp-digit {
    flex: 1;
    width: 36px;
    height: 36px;
    text-align: center;
    border-radius: 0;
    border: 1px solid transparent;
    background: #f3f3f5;
    font-size: 16px;
    line-height: 150%;
    color: #000
}

.paisabase-modalpop__content .modalpop--form .otp-digit:first-child {
    border-radius: 8px 0 0 8px
}

.paisabase-modalpop__content .modalpop--form .otp-digit:last-child {
    border-radius: 0 8px 8px 0
}

.paisabase-modalpop__content .modalpop--form .otp-digit:focus {
    outline: 0;
    border-color: #2196f3
}

.paisabase-modalpop__content .modalpop--form-error {
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
}

.paisabase-modalpop__content .modalpop--submit-btn {
    margin-top: 24px;
    border-radius: 2px;
    padding: 7px;
    background: #e31b54;
    font-family: "Supreme-Regular";
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #fff;
    letter-spacing: -.15px;
    max-width: 100% !important;
    width: 100%;
    height: 36px;
    border: none;
    cursor: pointer;
}

.paisabase-modalpop__content .modalpop--submit-btn:focus,
.paisabase-modalpop__content .modalpop--submit-btn:hover {
    color: #fff;
    outline: 0;
    box-shadow: none
}

.paisabase-modalpop__content .modalpop--form__tnc {
    font-family: Supreme-Regular, sans-serif;
    font-weight: 400;
    font-size: 12px;
    line-height: 19px;
    color: #989898;
    text-align: center;
    margin-top: 15px
}

.paisabase-modalpop__content .modalpop--form__tnc a {
    color: #1570ef
}

.paisabase-modalpop__close {
    position: absolute;
    cursor: pointer;
    right: 15px;
    top: 15px;
    width: 24px;
    height: 24px;
    background: 0 0;
    border: none
}

.paisabase-modalpop__close:before {
    content: "";
    display: block;
    position: absolute;
    width: 20px;
    height: 2px;
    background: #000;
    transform: rotate(45deg);
    top: 11px;
    left: 2px
}

.paisabase-modalpop__close:after {
    content: "";
    display: block;
    position: absolute;
    width: 20px;
    height: 2px;
    background: #000;
    top: 11px;
    left: 2px;
    transform: rotate(-45deg)
}

.paisabase-modalpop .hide {
    display: none !important
}